/*
 * Copyright (c) 2024 SPARQL Anything Contributors @ http://github.com/sparql-anything
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.sparqlanything.csv;

import io.github.sparqlanything.testutils.AbstractTriplifierTester;
import org.junit.Test;

import java.util.Properties;

public class HeadersRowTest extends AbstractTriplifierTester {

	public HeadersRowTest() {
		super(new CSVTriplifier(), new Properties(), "csv");
	}

	public void properties(Properties properties) {
		if (name.getMethodName().equals("testHeadersRow")) {
			properties.setProperty(CSVTriplifier.PROPERTY_HEADER_ROW.toString(), "4");
			properties.setProperty(CSVTriplifier.PROPERTY_HEADERS.toString(), "true");
		}
	}

	@Test
	public void testHeadersRow(){
		this.assertResultIsIsomorphicWithExpected();
	}


}
